diff --git a/libRTI/ieee1516-2000/RTIambassadorImplementation.cpp b/libRTI/ieee1516-2000/RTIambassadorImplementation.cpp
index e49e2d05..2f21c897 100644
--- a/libRTI/ieee1516-2000/RTIambassadorImplementation.cpp
+++ b/libRTI/ieee1516-2000/RTIambassadorImplementation.cpp
@@ -122,7 +122,7 @@ rti1516::OrderType toRTI1516OrderType(certi::OrderType theType)
 }
 /* end of Helper functions */
 
-RTI1516ambassador::RTI1516ambassador() throw() : privateRefs(0)
+RTI1516ambassador::RTI1516ambassador() noexcept : privateRefs(0)
 {
 }
 
@@ -145,8 +145,7 @@ RTI1516ambassador::~RTI1516ambassador()
  */
 bool RTI1516ambassador::__tick_kernel(bool multiple,
                                       TickTime minimum,
-                                      TickTime maximum) throw(rti1516::SpecifiedSaveLabelDoesNotExist,
-                                                              rti1516::RTIinternalError)
+                                      TickTime maximum)
 {
     M_Tick_Request vers_RTI;
     std::unique_ptr<Message> vers_Fed;
@@ -220,11 +219,7 @@ bool RTI1516ambassador::__tick_kernel(bool multiple,
 void RTI1516ambassador::createFederationExecution(
     std::wstring const& federationExecutionName,
     std::wstring const& fullPathNameToTheFDDfile,
-    std::wstring const& /*LogicalTimeImplementationName*/) throw(rti1516::FederationExecutionAlreadyExists,
-                                                                 rti1516::CouldNotOpenFDD,
-                                                                 rti1516::ErrorReadingFDD,
-                                                                 rti1516::CouldNotCreateLogicalTimeFactory,
-                                                                 rti1516::RTIinternalError)
+    std::wstring const& /*LogicalTimeImplementationName*/)
 {
     certi::M_Create_Federation_Execution_V4 req, rep;
 
@@ -244,8 +239,7 @@ void RTI1516ambassador::createFederationExecution(
 }
 
 // 4.3
-void RTI1516ambassador::destroyFederationExecution(std::wstring const& federationExecutionName) throw(
-    rti1516::FederatesCurrentlyJoined, rti1516::FederationExecutionDoesNotExist, rti1516::RTIinternalError)
+void RTI1516ambassador::destroyFederationExecution(std::wstring const& federationExecutionName)
 {
     M_Destroy_Federation_Execution req, rep;
 
@@ -265,12 +259,7 @@ void RTI1516ambassador::destroyFederationExecution(std::wstring const& federatio
 rti1516::FederateHandle RTI1516ambassador::joinFederationExecution(
     std::wstring const& federateType,
     std::wstring const& federationExecutionName,
-    rti1516::FederateAmbassador& federateAmbassador) throw(rti1516::FederateAlreadyExecutionMember,
-                                                           rti1516::FederationExecutionDoesNotExist,
-                                                           rti1516::SaveInProgress,
-                                                           rti1516::RestoreInProgress,
-                                                           rti1516::CouldNotCreateLogicalTimeFactory,
-                                                           rti1516::RTIinternalError)
+    rti1516::FederateAmbassador& federateAmbassador)
 {
     M_Join_Federation_Execution_V4 req, rep;
 
@@ -309,11 +298,7 @@ rti1516::FederateHandle RTI1516ambassador::joinFederationExecution(
 }
 
 // 4.5
-void RTI1516ambassador::resignFederationExecution(rti1516::ResignAction /*resignAction*/) throw(
-    rti1516::OwnershipAcquisitionPending,
-    rti1516::FederateOwnsAttributes,
-    rti1516::FederateNotExecutionMember,
-    rti1516::RTIinternalError)
+void RTI1516ambassador::resignFederationExecution(rti1516::ResignAction /*resignAction*/)
 {
     M_Resign_Federation_Execution req, rep;
 
@@ -328,10 +313,7 @@ void RTI1516ambassador::resignFederationExecution(rti1516::ResignAction /*resign
 // 4.6
 void RTI1516ambassador::registerFederationSynchronizationPoint(
     std::wstring const& label,
-    rti1516::VariableLengthData const& theUserSuppliedTag) throw(rti1516::FederateNotExecutionMember,
-                                                                 rti1516::SaveInProgress,
-                                                                 rti1516::RestoreInProgress,
-                                                                 rti1516::RTIinternalError)
+    rti1516::VariableLengthData const& theUserSuppliedTag)
 {
     M_Register_Federation_Synchronization_Point req, rep;
 
@@ -353,10 +335,7 @@ void RTI1516ambassador::registerFederationSynchronizationPoint(
 void RTI1516ambassador::registerFederationSynchronizationPoint(
     std::wstring const& label,
     rti1516::VariableLengthData const& theUserSuppliedTag,
-    rti1516::FederateHandleSet const& syncSet) throw(rti1516::FederateNotExecutionMember,
-                                                     rti1516::SaveInProgress,
-                                                     rti1516::RestoreInProgress,
-                                                     rti1516::RTIinternalError)
+    rti1516::FederateHandleSet const& syncSet)
 {
     M_Register_Federation_Synchronization_Point req, rep;
 
@@ -386,12 +365,7 @@ void RTI1516ambassador::registerFederationSynchronizationPoint(
 }
 
 // 4.9
-void RTI1516ambassador::synchronizationPointAchieved(std::wstring const& label) throw(
-    rti1516::SynchronizationPointLabelNotAnnounced,
-    rti1516::FederateNotExecutionMember,
-    rti1516::SaveInProgress,
-    rti1516::RestoreInProgress,
-    rti1516::RTIinternalError)
+void RTI1516ambassador::synchronizationPointAchieved(std::wstring const& label)
 {
     M_Synchronization_Point_Achieved req, rep;
 
@@ -407,10 +381,7 @@ void RTI1516ambassador::synchronizationPointAchieved(std::wstring const& label)
 }
 
 // 4.11
-void RTI1516ambassador::requestFederationSave(std::wstring const& label) throw(rti1516::FederateNotExecutionMember,
-                                                                               rti1516::SaveInProgress,
-                                                                               rti1516::RestoreInProgress,
-                                                                               rti1516::RTIinternalError)
+void RTI1516ambassador::requestFederationSave(std::wstring const& label)
 {
     M_Request_Federation_Save req, rep;
 
@@ -424,14 +395,7 @@ void RTI1516ambassador::requestFederationSave(std::wstring const& label) throw(r
     Debug(G, pdGendoc) << "exit  RTI1516ambassador::requestFederationSave without time" << std::endl;
 }
 
-void RTI1516ambassador::requestFederationSave(std::wstring const& label, rti1516::LogicalTime const& theTime) throw(
-    rti1516::LogicalTimeAlreadyPassed,
-    rti1516::InvalidLogicalTime,
-    rti1516::FederateUnableToUseTime,
-    rti1516::FederateNotExecutionMember,
-    rti1516::SaveInProgress,
-    rti1516::RestoreInProgress,
-    rti1516::RTIinternalError)
+void RTI1516ambassador::requestFederationSave(std::wstring const& label, rti1516::LogicalTime const& theTime)
 {
     M_Request_Federation_Save req, rep;
 
@@ -450,10 +414,7 @@ void RTI1516ambassador::requestFederationSave(std::wstring const& label, rti1516
 }
 
 // 4.13
-void RTI1516ambassador::federateSaveBegun() throw(rti1516::SaveNotInitiated,
-                                                  rti1516::FederateNotExecutionMember,
-                                                  rti1516::RestoreInProgress,
-                                                  rti1516::RTIinternalError)
+void RTI1516ambassador::federateSaveBegun()
 {
     M_Federate_Save_Begun req, rep;
 
@@ -466,10 +427,7 @@ void RTI1516ambassador::federateSaveBegun() throw(rti1516::SaveNotInitiated,
 }
 
 // 4.14
-void RTI1516ambassador::federateSaveComplete() throw(rti1516::FederateHasNotBegunSave,
-                                                     rti1516::FederateNotExecutionMember,
-                                                     rti1516::RestoreInProgress,
-                                                     rti1516::RTIinternalError)
+void RTI1516ambassador::federateSaveComplete()
 {
     M_Federate_Save_Complete req, rep;
 
@@ -479,10 +437,7 @@ void RTI1516ambassador::federateSaveComplete() throw(rti1516::FederateHasNotBegu
     Debug(G, pdGendoc) << "exit  RTI1516ambassador::federateSaveComplete" << std::endl;
 }
 
-void RTI1516ambassador::federateSaveNotComplete() throw(rti1516::FederateHasNotBegunSave,
-                                                        rti1516::FederateNotExecutionMember,
-                                                        rti1516::RestoreInProgress,
-                                                        rti1516::RTIinternalError)
+void RTI1516ambassador::federateSaveNotComplete()
 {
     M_Federate_Save_Not_Complete req, rep;
 
@@ -494,19 +449,14 @@ void RTI1516ambassador::federateSaveNotComplete() throw(rti1516::FederateHasNotB
 }
 
 // 4.16
-void RTI1516ambassador::queryFederationSaveStatus() throw(rti1516::FederateNotExecutionMember,
-                                                          rti1516::RestoreInProgress,
-                                                          rti1516::RTIinternalError)
+void RTI1516ambassador::queryFederationSaveStatus()
 {
     /* TODO */
     throw rti1516::RTIinternalError(L"Not yet implemented");
 }
 
 // 4.18
-void RTI1516ambassador::requestFederationRestore(std::wstring const& label) throw(rti1516::FederateNotExecutionMember,
-                                                                                  rti1516::SaveInProgress,
-                                                                                  rti1516::RestoreInProgress,
-                                                                                  rti1516::RTIinternalError)
+void RTI1516ambassador::requestFederationRestore(std::wstring const& label)
 {
     M_Request_Federation_Restore req, rep;
 
@@ -519,10 +469,7 @@ void RTI1516ambassador::requestFederationRestore(std::wstring const& label) thro
 }
 
 // 4.22
-void RTI1516ambassador::federateRestoreComplete() throw(rti1516::RestoreNotRequested,
-                                                        rti1516::FederateNotExecutionMember,
-                                                        rti1516::SaveInProgress,
-                                                        rti1516::RTIinternalError)
+void RTI1516ambassador::federateRestoreComplete()
 {
     M_Federate_Restore_Complete req, rep;
 
@@ -533,10 +480,7 @@ void RTI1516ambassador::federateRestoreComplete() throw(rti1516::RestoreNotReque
     Debug(G, pdGendoc) << "exit  RTI1516ambassador::federateRestoreComplete" << std::endl;
 }
 
-void RTI1516ambassador::federateRestoreNotComplete() throw(rti1516::RestoreNotRequested,
-                                                           rti1516::FederateNotExecutionMember,
-                                                           rti1516::SaveInProgress,
-                                                           rti1516::RTIinternalError)
+void RTI1516ambassador::federateRestoreNotComplete()
 {
     M_Federate_Restore_Not_Complete req, rep;
 
@@ -548,9 +492,7 @@ void RTI1516ambassador::federateRestoreNotComplete() throw(rti1516::RestoreNotRe
 }
 
 // 4.24
-void RTI1516ambassador::queryFederationRestoreStatus() throw(rti1516::FederateNotExecutionMember,
-                                                             rti1516::SaveInProgress,
-                                                             rti1516::RTIinternalError)
+void RTI1516ambassador::queryFederationRestoreStatus()
 {
     /* TODO */
     throw rti1516::RTIinternalError(L"Not yet implemented");
@@ -563,12 +505,7 @@ void RTI1516ambassador::queryFederationRestoreStatus() throw(rti1516::FederateNo
 // 5.2
 void RTI1516ambassador::publishObjectClassAttributes(
     rti1516::ObjectClassHandle theClass,
-    rti1516::AttributeHandleSet const& attributeList) throw(rti1516::ObjectClassNotDefined,
-                                                            rti1516::AttributeNotDefined,
-                                                            rti1516::FederateNotExecutionMember,
-                                                            rti1516::SaveInProgress,
-                                                            rti1516::RestoreInProgress,
-                                                            rti1516::RTIinternalError)
+    rti1516::AttributeHandleSet const& attributeList)
 {
     M_Publish_Object_Class req, rep;
     Debug(G, pdGendoc) << "enter RTI1516ambassador::publishObjectClass" << std::endl;
@@ -587,13 +524,7 @@ void RTI1516ambassador::publishObjectClassAttributes(
 }
 
 // 5.3
-void RTI1516ambassador::unpublishObjectClass(rti1516::ObjectClassHandle theClass) throw(
-    rti1516::ObjectClassNotDefined,
-    rti1516::OwnershipAcquisitionPending,
-    rti1516::FederateNotExecutionMember,
-    rti1516::SaveInProgress,
-    rti1516::RestoreInProgress,
-    rti1516::RTIinternalError)
+void RTI1516ambassador::unpublishObjectClass(rti1516::ObjectClassHandle theClass)
 {
     M_Unpublish_Object_Class req, rep;
     Debug(G, pdGendoc) << "enter RTI1516ambassador::unpublishObjectClass" << std::endl;
@@ -607,25 +538,14 @@ void RTI1516ambassador::unpublishObjectClass(rti1516::ObjectClassHandle theClass
 
 void RTI1516ambassador::unpublishObjectClassAttributes(
     rti1516::ObjectClassHandle /*theClass*/,
-    rti1516::AttributeHandleSet const& /*attributeList*/) throw(rti1516::ObjectClassNotDefined,
-                                                            rti1516::AttributeNotDefined,
-                                                            rti1516::OwnershipAcquisitionPending,
-                                                            rti1516::FederateNotExecutionMember,
-                                                            rti1516::SaveInProgress,
-                                                            rti1516::RestoreInProgress,
-                                                            rti1516::RTIinternalError)
+    rti1516::AttributeHandleSet const& /*attributeList*/)
 {
     /* TODO */
     throw rti1516::RTIinternalError(L"Not yet implemented");
 }
 
 // 5.4
-void RTI1516ambassador::publishInteractionClass(rti1516::InteractionClassHandle theInteraction) throw(
-    rti1516::InteractionClassNotDefined,
-    rti1516::FederateNotExecutionMember,
-    rti1516::SaveInProgress,
-    rti1516::RestoreInProgress,
-    rti1516::RTIinternalError)
+void RTI1516ambassador::publishInteractionClass(rti1516::InteractionClassHandle theInteraction)
 {
     M_Publish_Interaction_Class req, rep;
     const certi::InteractionClassHandle classHandle
@@ -636,12 +556,7 @@ void RTI1516ambassador::publishInteractionClass(rti1516::InteractionClassHandle
 }
 
 // 5.5
-void RTI1516ambassador::unpublishInteractionClass(rti1516::InteractionClassHandle theInteraction) throw(
-    rti1516::InteractionClassNotDefined,
-    rti1516::FederateNotExecutionMember,
-    rti1516::SaveInProgress,
-    rti1516::RestoreInProgress,
-    rti1516::RTIinternalError)
+void RTI1516ambassador::unpublishInteractionClass(rti1516::InteractionClassHandle theInteraction)
 {
     M_Unpublish_Interaction_Class req, rep;
     const certi::InteractionClassHandle classHandle
@@ -654,12 +569,7 @@ void RTI1516ambassador::unpublishInteractionClass(rti1516::InteractionClassHandl
 // 5.6
 void RTI1516ambassador::subscribeObjectClassAttributes(rti1516::ObjectClassHandle theClass,
                                                        rti1516::AttributeHandleSet const& attributeList,
-                                                       bool active) throw(rti1516::ObjectClassNotDefined,
-                                                                          rti1516::AttributeNotDefined,
-                                                                          rti1516::FederateNotExecutionMember,
-                                                                          rti1516::SaveInProgress,
-                                                                          rti1516::RestoreInProgress,
-                                                                          rti1516::RTIinternalError)
+                                                       bool active)
 {
     M_Subscribe_Object_Class_Attributes req, rep;
     Debug(G, pdGendoc) << "enter RTI1516ambassador::subscribeObjectClassAttributes" << std::endl;
@@ -679,12 +589,7 @@ void RTI1516ambassador::subscribeObjectClassAttributes(rti1516::ObjectClassHandl
 }
 
 // 5.7
-void RTI1516ambassador::unsubscribeObjectClass(rti1516::ObjectClassHandle theClass) throw(
-    rti1516::ObjectClassNotDefined,
-    rti1516::FederateNotExecutionMember,
-    rti1516::SaveInProgress,
-    rti1516::RestoreInProgress,
-    rti1516::RTIinternalError)
+void RTI1516ambassador::unsubscribeObjectClass(rti1516::ObjectClassHandle theClass)
 {
     M_Unsubscribe_Object_Class req, rep;
 
@@ -696,25 +601,14 @@ void RTI1516ambassador::unsubscribeObjectClass(rti1516::ObjectClassHandle theCla
 
 void RTI1516ambassador::unsubscribeObjectClassAttributes(
     rti1516::ObjectClassHandle /*theClass*/,
-    rti1516::AttributeHandleSet const& /*attributeList*/) throw(rti1516::ObjectClassNotDefined,
-                                                            rti1516::AttributeNotDefined,
-                                                            rti1516::FederateNotExecutionMember,
-                                                            rti1516::SaveInProgress,
-                                                            rti1516::RestoreInProgress,
-                                                            rti1516::RTIinternalError)
+    rti1516::AttributeHandleSet const& /*attributeList*/)
 {
     /* TODO */
     throw rti1516::RTIinternalError(L"Not yet implemented");
 }
 
 // 5.8
-void RTI1516ambassador::subscribeInteractionClass(rti1516::InteractionClassHandle theClass, bool /*active*/) throw(
-    rti1516::InteractionClassNotDefined,
-    rti1516::FederateServiceInvocationsAreBeingReportedViaMOM,
-    rti1516::FederateNotExecutionMember,
-    rti1516::SaveInProgress,
-    rti1516::RestoreInProgress,
-    rti1516::RTIinternalError)
+void RTI1516ambassador::subscribeInteractionClass(rti1516::InteractionClassHandle theClass, bool /*active*/)
 {
     M_Subscribe_Interaction_Class req, rep;
     const certi::InteractionClassHandle classHandle = rti1516::InteractionClassHandleFriend::toCertiHandle(theClass);
@@ -724,12 +618,7 @@ void RTI1516ambassador::subscribeInteractionClass(rti1516::InteractionClassHandl
 }
 
 // 5.9
-void RTI1516ambassador::unsubscribeInteractionClass(rti1516::InteractionClassHandle theClass) throw(
-    rti1516::InteractionClassNotDefined,
-    rti1516::FederateNotExecutionMember,
-    rti1516::SaveInProgress,
-    rti1516::RestoreInProgress,
-    rti1516::RTIinternalError)
+void RTI1516ambassador::unsubscribeInteractionClass(rti1516::InteractionClassHandle theClass)
 {
     M_Unsubscribe_Interaction_Class req, rep;
 
@@ -744,12 +633,7 @@ void RTI1516ambassador::unsubscribeInteractionClass(rti1516::InteractionClassHan
 ////////////////////////////////
 
 // 6.2
-void RTI1516ambassador::reserveObjectInstanceName(std::wstring const& theObjectInstanceName) throw(
-    rti1516::IllegalName,
-    rti1516::FederateNotExecutionMember,
-    rti1516::SaveInProgress,
-    rti1516::RestoreInProgress,
-    rti1516::RTIinternalError)
+void RTI1516ambassador::reserveObjectInstanceName(std::wstring const& theObjectInstanceName)
 {
     M_Reserve_Object_Instance_Name req, rep;
 
@@ -759,13 +643,7 @@ void RTI1516ambassador::reserveObjectInstanceName(std::wstring const& theObjectI
 }
 
 // 6.4
-rti1516::ObjectInstanceHandle RTI1516ambassador::registerObjectInstance(rti1516::ObjectClassHandle theClass) throw(
-    rti1516::ObjectClassNotDefined,
-    rti1516::ObjectClassNotPublished,
-    rti1516::FederateNotExecutionMember,
-    rti1516::SaveInProgress,
-    rti1516::RestoreInProgress,
-    rti1516::RTIinternalError)
+rti1516::ObjectInstanceHandle RTI1516ambassador::registerObjectInstance(rti1516::ObjectClassHandle theClass)
 {
     M_Register_Object_Instance req, rep;
 
@@ -776,14 +654,7 @@ rti1516::ObjectInstanceHandle RTI1516ambassador::registerObjectInstance(rti1516:
 
 rti1516::ObjectInstanceHandle RTI1516ambassador::registerObjectInstance(
     rti1516::ObjectClassHandle theClass,
-    std::wstring const& theObjectInstanceName) throw(rti1516::ObjectClassNotDefined,
-                                                     rti1516::ObjectClassNotPublished,
-                                                     rti1516::ObjectInstanceNameNotReserved,
-                                                     rti1516::ObjectInstanceNameInUse,
-                                                     rti1516::FederateNotExecutionMember,
-                                                     rti1516::SaveInProgress,
-                                                     rti1516::RestoreInProgress,
-                                                     rti1516::RTIinternalError)
+    std::wstring const& theObjectInstanceName)
 {
     M_Register_Object_Instance req, rep;
 
@@ -799,13 +670,7 @@ rti1516::ObjectInstanceHandle RTI1516ambassador::registerObjectInstance(
 void RTI1516ambassador::updateAttributeValues(
     rti1516::ObjectInstanceHandle theObject,
     rti1516::AttributeHandleValueMap const& theAttributeValues,
-    rti1516::VariableLengthData const& theUserSuppliedTag) throw(rti1516::ObjectInstanceNotKnown,
-                                                                 rti1516::AttributeNotDefined,
-                                                                 rti1516::AttributeNotOwned,
-                                                                 rti1516::FederateNotExecutionMember,
-                                                                 rti1516::SaveInProgress,
-                                                                 rti1516::RestoreInProgress,
-                                                                 rti1516::RTIinternalError)
+    rti1516::VariableLengthData const& theUserSuppliedTag)
 {
     Debug(G, pdGendoc) << "enter RTI1516ambassador::updateAttributeValues without time" << std::endl;
     M_Update_Attribute_Values req, rep;
@@ -826,14 +691,7 @@ rti1516::MessageRetractionHandle
 RTI1516ambassador::updateAttributeValues(rti1516::ObjectInstanceHandle theObject,
                                          rti1516::AttributeHandleValueMap const& theAttributeValues,
                                          rti1516::VariableLengthData const& theUserSuppliedTag,
-                                         rti1516::LogicalTime const& theTime) throw(rti1516::ObjectInstanceNotKnown,
-                                                                                    rti1516::AttributeNotDefined,
-                                                                                    rti1516::AttributeNotOwned,
-                                                                                    rti1516::InvalidLogicalTime,
-                                                                                    rti1516::FederateNotExecutionMember,
-                                                                                    rti1516::SaveInProgress,
-                                                                                    rti1516::RestoreInProgress,
-                                                                                    rti1516::RTIinternalError)
+                                         rti1516::LogicalTime const& theTime)
 {
     Debug(G, pdGendoc) << "enter RTI1516ambassador::updateAttributeValues with time" << std::endl;
     M_Update_Attribute_Values req, rep;
@@ -861,13 +719,7 @@ RTI1516ambassador::updateAttributeValues(rti1516::ObjectInstanceHandle theObject
 void RTI1516ambassador::sendInteraction(
     rti1516::InteractionClassHandle theInteraction,
     rti1516::ParameterHandleValueMap const& theParameterValues,
-    rti1516::VariableLengthData const& theUserSuppliedTag) throw(rti1516::InteractionClassNotPublished,
-                                                                 rti1516::InteractionClassNotDefined,
-                                                                 rti1516::InteractionParameterNotDefined,
-                                                                 rti1516::FederateNotExecutionMember,
-                                                                 rti1516::SaveInProgress,
-                                                                 rti1516::RestoreInProgress,
-                                                                 rti1516::RTIinternalError)
+    rti1516::VariableLengthData const& theUserSuppliedTag)
 {
     M_Send_Interaction req, rep;
 
@@ -889,14 +741,7 @@ rti1516::MessageRetractionHandle
 RTI1516ambassador::sendInteraction(rti1516::InteractionClassHandle theInteraction,
                                    rti1516::ParameterHandleValueMap const& theParameterValues,
                                    rti1516::VariableLengthData const& theUserSuppliedTag,
-                                   rti1516::LogicalTime const& theTime) throw(rti1516::InteractionClassNotPublished,
-                                                                              rti1516::InteractionClassNotDefined,
-                                                                              rti1516::InteractionParameterNotDefined,
-                                                                              rti1516::InvalidLogicalTime,
-                                                                              rti1516::FederateNotExecutionMember,
-                                                                              rti1516::SaveInProgress,
-                                                                              rti1516::RestoreInProgress,
-                                                                              rti1516::RTIinternalError)
+                                   rti1516::LogicalTime const& theTime)
 {
     M_Send_Interaction req, rep;
 
@@ -927,12 +772,7 @@ RTI1516ambassador::sendInteraction(rti1516::InteractionClassHandle theInteractio
 // 6.10
 void RTI1516ambassador::deleteObjectInstance(
     rti1516::ObjectInstanceHandle theObject,
-    rti1516::VariableLengthData const& theUserSuppliedTag) throw(rti1516::DeletePrivilegeNotHeld,
-                                                                 rti1516::ObjectInstanceNotKnown,
-                                                                 rti1516::FederateNotExecutionMember,
-                                                                 rti1516::SaveInProgress,
-                                                                 rti1516::RestoreInProgress,
-                                                                 rti1516::RTIinternalError)
+    rti1516::VariableLengthData const& theUserSuppliedTag)
 {
     M_Delete_Object_Instance req, rep;
 
@@ -949,13 +789,7 @@ void RTI1516ambassador::deleteObjectInstance(
 rti1516::MessageRetractionHandle
 RTI1516ambassador::deleteObjectInstance(rti1516::ObjectInstanceHandle theObject,
                                         rti1516::VariableLengthData const& theUserSuppliedTag,
-                                        rti1516::LogicalTime const& theTime) throw(rti1516::DeletePrivilegeNotHeld,
-                                                                                   rti1516::ObjectInstanceNotKnown,
-                                                                                   rti1516::InvalidLogicalTime,
-                                                                                   rti1516::FederateNotExecutionMember,
-                                                                                   rti1516::SaveInProgress,
-                                                                                   rti1516::RestoreInProgress,
-                                                                                   rti1516::RTIinternalError)
+                                        rti1516::LogicalTime const& theTime)
 {
     M_Delete_Object_Instance req, rep;
 
@@ -978,14 +812,7 @@ RTI1516ambassador::deleteObjectInstance(rti1516::ObjectInstanceHandle theObject,
 }
 
 // 6.12
-void RTI1516ambassador::localDeleteObjectInstance(rti1516::ObjectInstanceHandle theObject) throw(
-    rti1516::ObjectInstanceNotKnown,
-    rti1516::FederateOwnsAttributes,
-    rti1516::OwnershipAcquisitionPending,
-    rti1516::FederateNotExecutionMember,
-    rti1516::SaveInProgress,
-    rti1516::RestoreInProgress,
-    rti1516::RTIinternalError)
+void RTI1516ambassador::localDeleteObjectInstance(rti1516::ObjectInstanceHandle theObject)
 {
     throw rti1516::RTIinternalError(L"unimplemented service localDeleteObjectInstance");
     M_Local_Delete_Object_Instance req, rep;
@@ -998,13 +825,7 @@ void RTI1516ambassador::localDeleteObjectInstance(rti1516::ObjectInstanceHandle
 void RTI1516ambassador::changeAttributeTransportationType(
     rti1516::ObjectInstanceHandle theObject,
     rti1516::AttributeHandleSet const& theAttributes,
-    rti1516::TransportationType theType) throw(rti1516::ObjectInstanceNotKnown,
-                                               rti1516::AttributeNotDefined,
-                                               rti1516::AttributeNotOwned,
-                                               rti1516::FederateNotExecutionMember,
-                                               rti1516::SaveInProgress,
-                                               rti1516::RestoreInProgress,
-                                               rti1516::RTIinternalError)
+    rti1516::TransportationType theType)
 {
     M_Change_Attribute_Transportation_Type req, rep;
     req.setObject(rti1516::ObjectInstanceHandleFriend::toCertiHandle(theObject));
@@ -1022,12 +843,7 @@ void RTI1516ambassador::changeAttributeTransportationType(
 // 6.14
 void RTI1516ambassador::changeInteractionTransportationType(
     rti1516::InteractionClassHandle theClass,
-    rti1516::TransportationType theType) throw(rti1516::InteractionClassNotDefined,
-                                               rti1516::InteractionClassNotPublished,
-                                               rti1516::FederateNotExecutionMember,
-                                               rti1516::SaveInProgress,
-                                               rti1516::RestoreInProgress,
-                                               rti1516::RTIinternalError)
+    rti1516::TransportationType theType)
 {
     M_Change_Interaction_Transportation_Type req, rep;
 
@@ -1041,12 +857,7 @@ void RTI1516ambassador::changeInteractionTransportationType(
 void RTI1516ambassador::requestAttributeValueUpdate(
     rti1516::ObjectInstanceHandle theObject,
     rti1516::AttributeHandleSet const& theAttributes,
-    rti1516::VariableLengthData const& theUserSuppliedTag) throw(rti1516::ObjectInstanceNotKnown,
-                                                                 rti1516::AttributeNotDefined,
-                                                                 rti1516::FederateNotExecutionMember,
-                                                                 rti1516::SaveInProgress,
-                                                                 rti1516::RestoreInProgress,
-                                                                 rti1516::RTIinternalError)
+    rti1516::VariableLengthData const& theUserSuppliedTag)
 {
     M_Request_Object_Attribute_Value_Update req, rep;
 
